org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableImagePainter

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.painter.cell.AbstractCellPainter
  - - org.eclipse.nebula.widgets.nattable.painter.cell.CellPainterWrapper
    - - org.eclipse.nebula.widgets.nattable.painter.cell.BackgroundPainter
      - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableImagePainter

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.painter.cell.ICellPainter

    public class DataTableImagePainter
    extends org.eclipse.nebula.widgets.nattable.painter.cell.BackgroundPainter

Paints an image. If no image is provided, it will attempt to look up an image from the cell style.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DataTableImagePainter(DataTableContext context)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paintCell(org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell cell, org.eclipse.swt.graphics.GC gc, org.eclipse.swt.graphics.Rectangle bounds, org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.painter.cell.CellPainterWrapper

`getCellPainterAt, getPreferredHeight, getPreferredWidth, getWrappedPainter, getWrappedPainterBounds, setWrappedPainter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTableImagePainter

    public DataTableImagePainter(DataTableContext context)

Creates a new instance.

Parameters:
  `context` -

### Method Detail

#### paintCell

    public void paintCell(org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell cell,
                          org.eclipse.swt.graphics.GC gc,
                          org.eclipse.swt.graphics.Rectangle bounds,
                          org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

Specified by:
  `paintCell` in interface `org.eclipse.nebula.widgets.nattable.painter.cell.ICellPainter`
Overrides:
  `paintCell` in class `org.eclipse.nebula.widgets.nattable.painter.cell.BackgroundPainter`